<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:30 CEST 2018 -->
<title>MenuItem</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MenuItem";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/MenuItem.html" target="_top">Frames</a></li>
<li><a href="MenuItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.logic.ui.menu</div>
<h2 title="Class MenuItem" class="title">Class MenuItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.logic.ui.menu.MenuItem</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MenuItem</span>
extends java.lang.Object</pre>
<div class="block">A Menuitem of <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu"><code>Menu</code></a></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Sebastian Zumbrunn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#action">action</a></span></code>
<div class="block">The action which should be executed if the item is chosen</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#id">id</a></span></code>
<div class="block">The unique id of this menu item</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#nextId">nextId</a></span></code>
<div class="block">The counter for <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getNextId--"><code>getNextId()</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#title">title</a></span></code>
<div class="block">The title of this menu item</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#MenuItem-java.lang.String-">MenuItem</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">constructor <br/>
 a new menu item</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#MenuItem-java.lang.String-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">MenuItem</a></span>(java.lang.String&nbsp;title,
        <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a>&nbsp;action)</code>
<div class="block">constructor<br/>
 a new menu item</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getAction--">getAction</a></span>()</code>
<div class="block">Returns hte action which is invoked if this menu is chosen</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getId--">getId</a></span>()</code>
<div class="block">Returns the id.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getNextId--">getNextId</a></span>()</code>
<div class="block">Returns a unique id.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getTitle--">getTitle</a></span>()</code>
<div class="block">Returns the tile of this menu item.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#setAction-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">setAction</a></span>(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a>&nbsp;action)</code>
<div class="block">Sets the action which is invoked if this menu item is chosen</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#setTitle-java.lang.String-">setTitle</a></span>(java.lang.String&nbsp;title)</code>
<div class="block">Sets the title which is shown to the user</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="nextId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextId</h4>
<pre>private static&nbsp;int nextId</pre>
<div class="block">The counter for <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getNextId--"><code>getNextId()</code></a></div>
</li>
</ul>
<a name="id">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>id</h4>
<pre>private&nbsp;int id</pre>
<div class="block">The unique id of this menu item</div>
</li>
</ul>
<a name="title">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>title</h4>
<pre>private&nbsp;java.lang.String title</pre>
<div class="block">The title of this menu item</div>
</li>
</ul>
<a name="action">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>action</h4>
<pre>private&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a> action</pre>
<div class="block">The action which should be executed if the item is chosen</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MenuItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MenuItem</h4>
<pre>public&nbsp;MenuItem(java.lang.String&nbsp;title)</pre>
<div class="block">constructor <br/>
 a new menu item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the title of the menu item. It is shown to the user.</dd>
</dl>
</li>
</ul>
<a name="MenuItem-java.lang.String-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MenuItem</h4>
<pre>public&nbsp;MenuItem(java.lang.String&nbsp;title,
                <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a>&nbsp;action)</pre>
<div class="block">constructor<br/>
 a new menu item</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the title of the menu item. It is shown to the user.</dd>
<dd><code>action</code> - the action which is invoked if the menu item was chosen</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getId</h4>
<pre>public&nbsp;int&nbsp;getId()</pre>
<div class="block">Returns the id.
 The id is generated in the constructor <a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItem.html#getNextId--"><code>getNextId()</code></a> and
 is unique for every MenuItem:</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the id of this menu item</dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTitle()</pre>
<div class="block">Returns the tile of this menu item.
 It is shown to the user in the menu.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="setTitle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTitle</h4>
<pre>public&nbsp;void&nbsp;setTitle(java.lang.String&nbsp;title)</pre>
<div class="block">Sets the title which is shown to the user</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - the new title</dd>
</dl>
</li>
</ul>
<a name="getAction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAction</h4>
<pre>public&nbsp;<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a>&nbsp;getAction()</pre>
<div class="block">Returns hte action which is invoked if this menu is chosen</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the action</dd>
</dl>
</li>
</ul>
<a name="setAction-ch.sebi.zuul.logic.ui.menu.MenuItemAction-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAction</h4>
<pre>public&nbsp;void&nbsp;setAction(<a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu">MenuItemAction</a>&nbsp;action)</pre>
<div class="block">Sets the action which is invoked if this menu item is chosen</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>action</code> - the action</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getNextId--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNextId</h4>
<pre>private static&nbsp;int&nbsp;getNextId()</pre>
<div class="block">Returns a unique id.
 It is a counter which is incremented with every call to this function</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new unique id</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MenuItem.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/Menu.html" title="class in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../ch/sebi/zuul/logic/ui/menu/MenuItemAction.html" title="interface in ch.sebi.zuul.logic.ui.menu"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?ch/sebi/zuul/logic/ui/menu/MenuItem.html" target="_top">Frames</a></li>
<li><a href="MenuItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
